Ad-library search
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runId": "<string>",
"brandName": "<string>",
"domain": "<string>",
"metaPageId": "<string>",
"startScrape": false,
"limit": 10,
"confirmationToken": "<string>"
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search"
payload = {
"runId": "<string>",
"brandName": "<string>",
"domain": "<string>",
"metaPageId": "<string>",
"startScrape": False,
"limit": 10,
"confirmationToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
runId: '<string>',
brandName: '<string>',
domain: '<string>',
metaPageId: '<string>',
startScrape: false,
limit: 10,
confirmationToken: '<string>'
})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'runId' => '<string>',
'brandName' => '<string>',
'domain' => '<string>',
'metaPageId' => '<string>',
'startScrape' => false,
'limit' => 10,
'confirmationToken' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search"
payload := strings.NewReader("{\n \"runId\": \"<string>\",\n \"brandName\": \"<string>\",\n \"domain\": \"<string>\",\n \"metaPageId\": \"<string>\",\n \"startScrape\": false,\n \"limit\": 10,\n \"confirmationToken\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"runId\": \"<string>\",\n \"brandName\": \"<string>\",\n \"domain\": \"<string>\",\n \"metaPageId\": \"<string>\",\n \"startScrape\": false,\n \"limit\": 10,\n \"confirmationToken\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"runId\": \"<string>\",\n \"brandName\": \"<string>\",\n \"domain\": \"<string>\",\n \"metaPageId\": \"<string>\",\n \"startScrape\": false,\n \"limit\": 10,\n \"confirmationToken\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"text": "<string>"
}Research
Ad-library search
Search cached brand ads or explicitly request a paid scrape
CLI: adside research ad-library search
POST
/
v1
/
workspaces
/
{workspaceId}
/
research
/
ad-library
/
search
Ad-library search
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runId": "<string>",
"brandName": "<string>",
"domain": "<string>",
"metaPageId": "<string>",
"startScrape": false,
"limit": 10,
"confirmationToken": "<string>"
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search"
payload = {
"runId": "<string>",
"brandName": "<string>",
"domain": "<string>",
"metaPageId": "<string>",
"startScrape": False,
"limit": 10,
"confirmationToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
runId: '<string>',
brandName: '<string>',
domain: '<string>',
metaPageId: '<string>',
startScrape: false,
limit: 10,
confirmationToken: '<string>'
})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'runId' => '<string>',
'brandName' => '<string>',
'domain' => '<string>',
'metaPageId' => '<string>',
'startScrape' => false,
'limit' => 10,
'confirmationToken' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search"
payload := strings.NewReader("{\n \"runId\": \"<string>\",\n \"brandName\": \"<string>\",\n \"domain\": \"<string>\",\n \"metaPageId\": \"<string>\",\n \"startScrape\": false,\n \"limit\": 10,\n \"confirmationToken\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"runId\": \"<string>\",\n \"brandName\": \"<string>\",\n \"domain\": \"<string>\",\n \"metaPageId\": \"<string>\",\n \"startScrape\": false,\n \"limit\": 10,\n \"confirmationToken\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/research/ad-library/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"runId\": \"<string>\",\n \"brandName\": \"<string>\",\n \"domain\": \"<string>\",\n \"metaPageId\": \"<string>\",\n \"startScrape\": false,\n \"limit\": 10,\n \"confirmationToken\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"text": "<string>"
}Authorizations
A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.
Path Parameters
Minimum string length:
1Body
application/json
Check on a scrape this tool started earlier. When set, every other field is ignored.
Minimum string length:
1The brand or company name. Required unless runId is set.
Required string length:
1 - 120Which ad library to search. Required unless runId is set.
Available options:
META, GOOGLE, LINKEDIN The brand's website domain, for example nike.com. Required for GOOGLE.
Required string length:
3 - 253The brand's numeric Facebook page id. Required for META.
Pattern:
^\d+$Set to true to start a paid scrape when the brand's ads are not already collected. Leave false to only read what is cached.
How many ads to return (max 25).
Required range:
1 <= x <= 25Response
200 - application/json
Success